# file name : reidai_8_1.py
# reidai_8_1 簡単な図形の描画

import pygame
# ====== グローバル変数の設定======
ttl='円の描画と背景の色設定'                  # タイトル
# -------- 辞書 --------
canv ={'w':300,'h':200}                    # キャンバス幅, 高さ
en   ={'r': 40,'c':(255,236,71)}           # 半径, 円の色(RGB 形式)
fpos ={'x':canv['w']//2,'y':canv['h']//2}  # 図形のx 座標,y 座標

# ====== 関数：イベント処理 =======
def handle_events():
    # 発生したすべてのイベントを取得
    for event in pygame.event.get():
        # ウィンドウの閉じるボタンがクリックされた場合
        if event.type==pygame.QUIT:
            return False
    return True

# ======= 関数：図形の描画処理 =======
def draw():
    # 背景色で塗りつぶす(RGB 形式)
    screen.fill((0,149,217))
    # 円の描画円の色、中心座標、半径
    pygame.draw.circle(screen,en['c'],(fpos['x'],fpos['y']),en['r'])
    # ウィンドウの更新
    pygame.display.flip()

# ====== メイン======
# Pygame を初期化、ライブラリの準備
pygame.init()
# ウィンドウの作成
screen=pygame.display.set_mode((canv['w'], canv['h']))
# ウィンドウのタイトルを設定
pygame.display.set_caption(ttl)
# 一定の速さで進めるタイマー作成
clock=pygame.time.Clock()
# メインのループ
while True:
    if not handle_events(): # イベント処理
        break # イベント処理がない場合、ループを抜ける
    draw() # 図形の描画処理
    clock.tick(60) # 1 秒に60 回のペースで進める
pygame.quit() # プログラムの終了